> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users of one detected (Shadow IT) service

> Retrieve the detected users of one detected service. <code>format=json</code> (default) returns the users in the same field shape as the Detail CSV export; <code>format=csv</code> returns the pre-signed URL of that CSV file. <code>period</code> states the 90-day detection window the users were aggregated over.<br/><br/>Pagination: [Cursor-based](#section/Cursor-based)



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/recommended-services/{serviceUniqueName}/users
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTful API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/recommended-services/{serviceUniqueName}/users:
    get:
      tags:
        - RecommendedServices
      summary: List users of one detected (Shadow IT) service
      description: >-
        Retrieve the detected users of one detected service.
        <code>format=json</code> (default) returns the users in the same field
        shape as the Detail CSV export; <code>format=csv</code> returns the
        pre-signed URL of that CSV file. <code>period</code> states the 90-day
        detection window the users were aggregated over.<br/><br/>Pagination:
        [Cursor-based](#section/Cursor-based)
      operationId: publicGetRecommendedServiceUsers
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: serviceUniqueName
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Limit the number of results returned. Maximum 200.
          schema:
            maximum: 200
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          description: Cursor to paginate through results.
          schema:
            type: string
        - name: format
          required: false
          in: query
          description: >-
            json returns the detected users in the same shape as the Detail CSV
            export. csv returns the pre-signed URL of the same file the UI's
            Detail CSV Export produces.
          schema:
            default: json
            type: string
            enum:
              - json
              - csv
      responses:
        '200':
          description: >-
            The service's detected users
            (PublicRecommendedServiceUsersResponseDto for format=json, a csvUrl
            object for format=csv)
        '400':
          description: Invalid query parameters
        '401':
          description: Invalid or missing API key
        '404':
          description: The service is not among this organization's detected services
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.